GrailsShell (Grails 5.1.1)

Package: grails.ui.shell

## [Groovy] Class GrailsShell

- grails.ui.shell.GrailsShell

-     @groovy.transform.CompileStatic
      @groovy.transform.InheritConstructors
      class GrailsShell
      extends GrailsApp

  A Shell

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsShell (java.lang.Class<?>[] sources)`
    `GrailsShell (org.springframework.core.io.ResourceLoader resourceLoader, java.lang.Class<?>[] sources)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `configureApplicationContextClass()`
    `` | `static void` | `main(java.lang.String[] args)` Main method to run an existing Application class
    `` | `static org.springframework.context.ConfigurableApplicationContext` | `run(java.lang.Class<?> source, java.lang.String[] args)` Static helper that can be used to run a GrailsApp from the specified source using default settings.
    `` | `static org.springframework.context.ConfigurableApplicationContext` | `run(java.lang.Class<?>[] sources, java.lang.String[] args)` Static helper that can be used to run a GrailsApp from the specified sources using default settings and user supplied arguments.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApp` | `compileGroovyFile, configureDirectoryWatcher, configureEnvironment, createApplicationContext, createPluginManagerListener, enableDevelopmentModeWatch, isDevelopmentModeActive, newMicronautContextBuilder, printRunStatus, recompile, run, run, run, setDevelopmentModeActive`

- - ### Constructor Detail

    - #### GrailsShell(java.lang.Class<?>[] sources)

    - #### GrailsShell(org.springframework.core.io.ResourceLoader resourceLoader, java.lang.Class<?>[] sources)

  - ### Method Detail

    - #### java.lang.Object configureApplicationContextClass()

    - #### static void main(java.lang.String[] args)

      Main method to run an existing Application class

      Parameters:
        `args` - The first argument is the Application class name

    - #### static org.springframework.context.ConfigurableApplicationContext run(java.lang.Class<?> source, java.lang.String[] args)

      Static helper that can be used to run a GrailsApp from the specified source using default settings.

      Parameters:
        `source` - the source to load
        `args` - the application arguments (usually passed from a Java main method)
      Returns:
        the running org.springframework.context.ApplicationContext

    - #### static org.springframework.context.ConfigurableApplicationContext run(java.lang.Class<?>[] sources, java.lang.String[] args)

      Static helper that can be used to run a GrailsApp from the specified sources using default settings and user supplied arguments.

      Parameters:
        `sources` - the sources to load
        `args` - the application arguments (usually passed from a Java main method)
      Returns:
        the running org.springframework.context.ApplicationContext